Show / Hide Table of Contents

# Interface IComponent

Base interface implementing a modular interface component.

###### Namespace: Dalamud.Interface.Components

###### Assembly: Dalamud.dll

##### Syntax

    public interface IComponent

### Properties

| Improve this Doc View Source

#### Name

Gets or sets the name of the component.

##### Declaration

    string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Draw()

Draw the component via ImGui.

##### Declaration

    void Draw()